// console.log(new Date().toLocaleDateString())
// console.log(new Date().toLocaleTimeString())

// 10023--月更新/周更新 10023全备份
// tm_history
// tm_week
// tm_month
// tm_week_all  备份
// tm_month_all 备份
// 10022
// function fibo(n){
//     if(n<=1){
//         return n
//     }else{
//         let x=fibo(n-2)+fibo(n-1)
//         return x
//     }
// }
// for(let i=0;i<15;i++){
//     console.log(fibo(i))
// }

//迭代的方法
function fiboite(n){
    let fiboarray=[]
    for(let i=0;i<n;i++){
        if(i>=2){
            //重点是找出递推关系
            let next=fiboarray[i-2]+fiboarray[i-1]
            fiboarray.push(next)
            console.log(next)
        }else{
            fiboarray.push(i)
            console.log(i)
        }
    }
}
fiboite(10)



// function adjustbase(n){
//     for(let i=0;i++;i<n){

//     }
// }



